test:
  image: golang:bullseye
  script:
    - apt-get update && apt-get install -y tor obfs4proxy
    - test -z "$(go fmt ./...)"
    - go vet ./...

    # build webtunnel
    - git clone https://gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/webtunnel/ webtunnel.git
    - cd webtunnel.git && go build -o ../webtunnel ./main/client

    - go test -v ./...
